Este plugin no se ha probado con las últimas 3 versiones mayores de WordPress. Puede que ya no tenga soporte ni lo mantenga nadie, o puede que tenga problemas de compatibilidad cuando se usa con las versiones más recientes de WordPress.

Restrict Lite

Descripción

An easy way to limit what data is shown to users with a simple a shortcode. Any content placed inside the shortcode will be restricted to users with the correct capabilities.

Usage

To restrict just a section of content within a post or page, you may use shortcodes like this:

[restrict capability=”editor”] restricted content goes here [/restrict]

Capturas

  • Using a shortcode with multiple roles in the WYSIWYG editor.

Instalación

  1. Manual Installation: Upload restrict-lite to the /wp-content/plugins/ directory.
  2. Activate the plugin through the ‘Plugins’ menu in WordPress.

FAQ

Where can i get a list of roles & capabilities?

View what roles are specific to what user here: https://codex.wordpress.org/Roles_and_Capabilities

An example use would be

[restrict capability=”editor”] restricted content goes here [/restrict]

Reseñas

No hay reseñas para este plugin.

Colaboradores y desarrolladores

«Restrict Lite» es un software de código abierto. Las siguientes personas han colaborado con este plugin.

Colaboradores

Traduce «Restrict Lite» a tu idioma.

¿Interesado en el desarrollo?

Revisa el código , echa un vistazo al repositorio SVN o suscríbete al registro de desarrollo por RSS.

Registro de cambios

1.3

  • Fixed a bug with capability not working correctly.
  • Tested with latest WordPress.

1.2

  • Updates to readme

1.1.0.3

  • Upgrade notice included.

1.102

  • Fixed Syntax error introduced in 1.1

1.1

  • Important change, role is now capability to better reflect is true name.
  • role will be removed in future builds. Please make changes to your shortcodes!
  • Removed default “read”.

1.0

  • Initial release